Sync Groups - List Logs

Gets a collection of sync group logs.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

syncGroupName
path True

string

The name of the sync group.

api-version
query True

string

minLength: 1

The API version to use for this operation.

endTime
query True

string

Get logs generated before this time.

startTime
query True

string

Get logs generated after this time.

type
query True

SyncGroupsType

The types of logs to retrieve.

continuationToken
query

string

The continuation token for this operation.

Responses

Name Type Description
200 OK

SyncGroupLogListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get sync group logs

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

Sample response

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SyncGroupLogListResult

A list of sync group log properties.

SyncGroupLogProperties

Properties of an Azure SQL Database sync group log.

SyncGroupLogType

Type of the sync group log.

SyncGroupsType

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SyncGroupLogListResult

A list of sync group log properties.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SyncGroupLogProperties[]

The SyncGroupLogProperties items on this page

SyncGroupLogProperties

Properties of an Azure SQL Database sync group log.

Name Type Description
details

string

Details of the sync group log.

operationStatus

string

OperationStatus of the sync group log.

source

string

Source of the sync group log.

timestamp

string (date-time)

Timestamp of the sync group log.

tracingId

string (uuid)

TracingId of the sync group log.

type

SyncGroupLogType

Type of the sync group log.

SyncGroupLogType

Type of the sync group log.

Value Description
All

All

Error

Error

Warning

Warning

Success

Success

SyncGroupsType

Value Description
All

All

Error

Error

Warning

Warning

Success

Success